#!/bin/sh

# 复制项目的文件到对应docker路径，便于一键生成镜像。
usage() {
	echo "Usage: sh copy.sh"
	exit 1
}


# copy sql
echo "begin copy sql "
cp ../sql/ry_20220814.sql ./mysql/db
cp ../sql/ry_config_20220510.sql ./mysql/db

# copy html
echo "begin copy html "
cp -r ../dcsoft-ui/dist/** ./nginx/html/dist


# copy jar
echo "begin copy dcsoft-gateway "
cp ../dcsoft-gateway/target/dcsoft-gateway.jar ./dcsoft/gateway/jar

echo "begin copy dcsoft-auth "
cp ../dcsoft-auth/target/dcsoft-auth.jar ./dcsoft/auth/jar

echo "begin copy dcsoft-visual "
cp ../dcsoft-visual/dcsoft-monitor/target/dcsoft-visual-monitor.jar  ./dcsoft/visual/monitor/jar

echo "begin copy dcsoft-modules-system "
cp ../dcsoft-modules/dcsoft-system/target/dcsoft-modules-system.jar ./dcsoft/modules/system/jar

echo "begin copy dcsoft-modules-file "
cp ../dcsoft-modules/dcsoft-file/target/dcsoft-modules-file.jar ./dcsoft/modules/file/jar

echo "begin copy dcsoft-modules-job "
cp ../dcsoft-modules/dcsoft-job/target/dcsoft-modules-job.jar ./dcsoft/modules/job/jar

echo "begin copy dcsoft-modules-gen "
cp ../dcsoft-modules/dcsoft-gen/target/dcsoft-modules-gen.jar ./dcsoft/modules/gen/jar

